CompoundControl (Java SE 11 & JDK 11 )
Keywords: javax.sound.sampled.CompoundControl class

Module java.desktop
Package javax.sound.sampled

## Class CompoundControl

- java.lang.Object
- - javax.sound.sampled.Control
  - - javax.sound.sampled.CompoundControl

-     public abstract class CompoundControl
      extends Control

  A `CompoundControl`, such as a graphic equalizer, provides control over two or more related properties, each of which is itself represented as a `Control`.
  Since:
    1.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CompoundControl.Type` | An instance of the `CompoundControl.Type` inner class identifies one kind of compound control.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CompoundControl​(CompoundControl.Type type, Control[] memberControls)` | Constructs a new compound control object with the given parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Control[]` | `getMemberControls()` | Returns the set of member controls that comprise the compound control.
    `String` | `toString()` | Provides a string representation of the control.

    - ### Methods declared in class javax.sound.sampled.Control

      `getType`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompoundControl

          protected CompoundControl​(CompoundControl.Type type,
                                    Control[] memberControls)

      Constructs a new compound control object with the given parameters.
      Parameters:
        `type` - the type of control represented this compound control object
        `memberControls` - the set of member controls

  - ### Method Detail

    - #### getMemberControls

          public Control[] getMemberControls()

      Returns the set of member controls that comprise the compound control.
      Returns:
        the set of member controls

    - #### toString

          public String toString()

      Provides a string representation of the control.
      Overrides:
        `toString` in class `Control`
      Returns:
        a string description